Qyra
ReferenceSCIM

Get resource type

Get individual SCIM resource type

GET/api/v1/scim/v2/ResourceTypes/{resourceTypeId}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
resourceTypeIdstringYesresource type identifier

Responses

200 — Ok

{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
  ],
  "id": "string",
  "meta": {
    "version": "string",
    "location": "string",
    "lastModified": "2024-01-01T00:00:00.000Z",
    "created": "2024-01-01T00:00:00.000Z",
    "resourceType": "string"
  },
  "name": "string",
  "description": "string",
  "endpoint": "string",
  "schema": "string",
  "schemaExtensions": [
    {
      "required": true,
      "schema": "string"
    }
  ]
}